0
Résultats de validation

SOHO

SOHO

WordPress 4.8.2 theme
0
Alertes critiques
  1. Title : Title Absence de référence à add_theme_support( "title-tag" ) dans le thème.Le thème doit avoir des tags <title>, idéalement dans le fichier header.php.Le thème doit comporter un appel à wp_title(), idéalement dans le fichier header.php.
  2. Failles de sécurité : Utilisation de base64_encode() base64_encode trouvé dans le fichier license_verification.php.
     $response = wp_remote_request('http://accounts.gt3themes.com?createnewuser=true&purchase_code='.urlencode(base64_encode($code)).'&item='.urlencode(base64_encode($product)).'&userema
     $response = wp_remote_request('http://accounts.gt3themes.com?user_check=true&purchase_code='.urlencode(base64_encode($code)).'&item='.urlencode(base64_encode($product)).'&userema
  3. Présence d'iframes : Les iframes sont parfois utilisées pour charger du contenu non désirés ou du code malicieux sur des sites tiers <iframe width='100%' height='100%' src='http://www.youtube.com/embed/" . $videoid . "?controls=1&autoplay=0&showinfo=0&modestbranding=1&wmode=opaque&rel=0&hd=1&disablekb=1' frameborder='0' allowfullscreen> trouvé dans le fichier single-gallery.php.
    Line 232: $compile_slides .= '<li data-count=''.$imgi.'' data-title=''. $photoTitle .'' data-caption=''. $photoCaption .'' class='slide'.$imgi.''><div class='slide_wrapper'><iframe width='100%' height='100%' src='http://www.youtube.com/embed/' . $v
    <iframe width=\"100%\" height=\"100%\" src=\"http://www.youtube.com/embed/" . $videoid . "?controls=0&autoplay=1&showinfo=0&modestbranding=1&wmode=opaque&rel=0\" frameborder=\"0\" allowfullscreen> trouvé dans le fichier single-port.php.
    Line 239: echo '<iframe width=\'100%\' height=\'100%\' src=\'http://www.youtube.com/embed/'
    <iframe src=\"http://player.vimeo.com/video/" . $videoid . "\" width=\"100%\" height=\"".$video_height."\" frameborder=\"0\" webkitAllowFullScreen mozallowfullscreen allowFullScreen> trouvé dans le fichier pf_type1.php.
    Line 90: <iframe src=\'http://player.vimeo.com/video/' . $videoid . '\' width=\'100%
    <iframe width="100%" height="'. $video_height .'" frameborder="0" allowfullscreen="1" title="YouTube video player" src="https://www.youtube.com/embed/'. $videoid .'?autoplay=0&amp;controls=1"> trouvé dans le fichier functions.php.
    Line 527: $compile .= '<iframe width='100%' height=''. $video_height .'' frameborder='0' allowfull
    <iframe width=\"100%\" height=\"100%\" src=\"http://www.youtube.com/embed/" . $videoid . "?controls=0&autoplay=1&showinfo=0&modestbranding=1&wmode=opaque&rel=0\" frameborder=\"0\" allowfullscreen> trouvé dans le fichier page-background.php.
    Line 30: echo '<iframe width=\'100%\' height=\'100%\' src=\'http://www.youtube.com/embed/'
  4. Code malveillant : Opérations sur système de fichiers file_get_contents trouvé dans le fichier page-fullscreen-slider.php.
    Line 91: $thmbArray = json_decode(file_get_contents('http://vimeo.com/api/v2/video/'.$videoid.'.json'));
    file_get_contents trouvé dans le fichier single-gallery.php.
    Line 100: $thmbArray = json_decode(file_get_contents('http://vimeo.com/api/v2/video/'.$videoid.'.json'));
    file_get_contents trouvé dans le fichier single-port.php.
    Line 473: $thmbArray = json_decode(file_get_contents('http://vimeo.com/api/v2/video/'.$videoid.'.json'));
    file_get_contents trouvé dans le fichier parsers.php.
    Line 252: if ( ! xml_parse( $xml, file_get_contents( $file ), true ) ) {
    fopen trouvé dans le fichier parsers.php.
    Line 398: $fp = $this->fopen( $file, 'r' );
    Line 615: function fopen( $filename, $mode = 'r' ) {
    Line 618: return fopen( $filename, $mode );
    fclose trouvé dans le fichier parsers.php.
    Line 447: $this->fclose($fp);
    Line 633: function fclose( $fp ) {
    Line 636: return fclose( $fp );
    fopen trouvé dans le fichier parsers.php.
    Line 398: $fp = $this->fopen( $file, 'r' );
    Line 615: function fopen( $filename, $mode = 'r' ) {
    Line 618: return fopen( $filename, $mode );
    fopen trouvé dans le fichier parsers.php.
    Line 398: $fp = $this->fopen( $file, 'r' );
    Line 615: function fopen( $filename, $mode = 'r' ) {
    Line 618: return fopen( $filename, $mode );
    fclose trouvé dans le fichier parsers.php.
    Line 447: $this->fclose($fp);
    Line 633: function fclose( $fp ) {
    Line 636: return fclose( $fp );
    fclose trouvé dans le fichier parsers.php.
    Line 447: $this->fclose($fp);
    Line 633: function fclose( $fp ) {
    Line 636: return fclose( $fp );
    fopen trouvé dans le fichier css-js-generator.php.
    Line 37: $handle = fopen($this->fullfilepath, 'w');
    Line 55: $fp = fopen($this->fullfilepath, 'w');
    fwrite trouvé dans le fichier css-js-generator.php.
    Line 38: fwrite($handle, str_replace(array('  ', '\n'), '', $this->output));
    fopen trouvé dans le fichier css-js-generator.php.
    Line 37: $handle = fopen($this->fullfilepath, 'w');
    Line 55: $fp = fopen($this->fullfilepath, 'w');
  5. Menu Admin : Les thèmes doivent utiliser add_theme_page () pour ajouter des pages admin. Fichier admin-pages.php :
    Line 7: add_menu_page(GT3_THEMENAME, GT3_THEMENAME, 'administrator', GT3_THEMESHORT
    Fichier license_verification.php :
    Line 6: add_submenu_page( GT3_THEMESHORT . 'options', 'Product Activation', 'Produc
  6. Fonctions obsolètes : wp_get_http wp_get_http trouvé dans le fichier importer.php . Obsolète depuis la version de la 4.4. Il est prérable d'utiliser WP_Http à la place.
    Line 880: $headers = wp_get_http( $url, $upload['file'] );
  7. Inclusion de plugin : Présence de fichier zip Les plugins ne sont pas autorisés dans les thèmes. Le fichier zip gt3-pagebuilder-custom.zip a été trouvé.
Attention
  1. tags du thème : Présence de tags inconnusTag inconnu trouvé dans l'entête du fichier style.css.
  2. Text domain : Utilisation incorrecte des fonctions de traduction.Une fonction de traduction utilisée sans text-domain. Fonction esc_attr__, avec les arguments "Submit" dans le fichier functions.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.' dans le fichier class-tgm-plugin-activation.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.' dans le fichier class-tgm-plugin-activation.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' dans le fichier class-tgm-plugin-activation.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.' dans le fichier class-tgm-plugin-activation.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.' dans le fichier class-tgm-plugin-activation.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' dans le fichier class-tgm-plugin-activation.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.' dans le fichier class-tgm-plugin-activation.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' dans le fichier class-tgm-plugin-activation.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Begin installing plugin', 'Begin installing plugins' dans le fichier class-tgm-plugin-activation.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Begin activating plugin', 'Begin activating plugins' dans le fichier class-tgm-plugin-activation.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.' dans le fichier gt3-tgm.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.' dans le fichier gt3-tgm.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' dans le fichier gt3-tgm.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.' dans le fichier gt3-tgm.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.' dans le fichier gt3-tgm.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' dans le fichier gt3-tgm.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.' dans le fichier gt3-tgm.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' dans le fichier gt3-tgm.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Begin installing plugin', 'Begin installing plugins' dans le fichier gt3-tgm.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Begin activating plugin', 'Begin activating plugins' dans le fichier gt3-tgm.php.Plusieurs text-domain sont utilisés dans le thème. Cela signifie que le thème n'est pas compatible avec les language packs de WordPress. Les domaines trouvés sont theme_localization, _s, tgmpa, wordpress-importer, gt3_builder, wizecore, soho.
  3. Barre d'admin cachée : Barre d'admin cachée dans CSSLes thèmes ne doivent pas cacher la barre d'admin. Détecté dans le fichier theme.css.
  4. Eléments custom : Présence d'une entête customAucune référence à custom header n'a été trouvée dans le thème.
  5. Eléments custom : Présence d'un fond customAucune référence à custom background n'a été trouvée dans le thème.
  6. Editor style : Présence de l'édition de styleAucune référence à add_editor_style() n'a été trouvée dans le thème. Il est recommandé que le thème implémente l'édition de style, de manière à faire correspondre le contenu de l'éditeur l'affichage dans le thème.
  7. Image à la une ("Featured image") : Utilisation de the_post_thumbnail() instead of custom fields for thumbnailsAucune référence à the_post_thumbnail n'a été trouvée dans le thème.
  8. Fichiers CSS : Présence de text domainLa déclaration Text Domain: manque dans le header du fichier style.css.
  9. Screenshot : Copie d'écranLa taille du screenshot est 880x660px. La taille recommandée est 1200x900, pour prendre en compte les affichages HiDPI. Bien qu'une résolution de 1200x900 soit recommandée, toutes les images au format 4:3 sont acceptables.Mauvaise extension de fichier screenshot ! Le fichier screenshot.png n'est pas un véritable fichier JPG. Le type détecté est : "image/png".
Info
  1. Fichiers optionnels : Présence du fichierde style pour les écritures de droite vers la gauche rtl.cssCe thème ne contient pas le fichier optionnel rtl.php.
  2. Fichiers optionnels : Présence du fichier-template fron-*page.phpCe thème ne contient pas le fichier optionnel front-page.php.
  3. Fichiers optionnels : Présence du fichier-template de page d'accueil home.phpCe thème ne contient pas le fichier optionnel home.php.
  4. Fichiers optionnels : Présence du fichier-template des tags tag.phpCe thème ne contient pas le fichier optionnel tag.php.
  5. Fichiers optionnels : Présence du fichier template de taxinomie taxonomy.phpCe thème ne contient pas le fichier optionnel taxonomy.php.
  6. Fichiers optionnels : Présence du fichier-template author.phpCe thème ne contient pas le fichier optionnel author.php.
  7. Fichiers optionnels : Présence de du fichier-template des dates et heures date.phpCe thème ne contient pas le fichier optionnel date.php.
  8. Fichiers optionnels : Présence du fichier-template des archives archive.phpCe thème ne contient pas le fichier optionnel archive.php.
  9. Utilisation d'includes : Utilisation de include ou de de requireLe thème semble utiliser include ou require : header.php
    Line 40: include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : class-tgm-plugin-activation.php
    Line 1064: require_once( ABSPATH . 'wp-admin/includes/class-wp-list-table.php' );
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : sidebars.php
    Line 34: include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : css-js.php
    Line 27: include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
    Line 40: include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : misc.php
    Line 81: include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : ajax-handlers.php
    Line 403: require_once(TEMPLATEPATH . '/core/xml-importer/importer.php');
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : loader.php
    Line 4: require_once('config.php');
    Line 5: require_once('update_parameters.php');
    Line 7: require_once('aq_resizer.php');
    Line 10: require_once('classes/admin-tabs-controls.php');
    Line 11: require_once('classes/admin-tabs-option-types.php');
    Line 12: require_once('classes/admin-tabs-list.php');
    Line 13: require_once('classes/css-js-generator.php');
    Line 14: require_once('classes/global-js-message.php');
    Line 15: require_once('classes/menu-walker.php');
    Line 16: require_once('classes/gt3_helper.php');
    Line 19: require_once('registrator/admin-pages.php');
    Line 20: require_once('registrator/css-js.php');
    Line 21: require_once('registrator/css-js-demo.php');
    Line 22: require_once('registrator/ajax-handlers.php');
    Line 23: require_once('registrator/sidebars.php');
    Line 24: require_once('registrator/fonts.php');
    Line 25: require_once('registrator/misc.php');
    Line 28: require_once('license_verification/license_verification.php');
    Line 31: require_once('admin/options.php');
    Line 32: require_once('admin/theme-settings-page.php');
    Line 35: require_once('widgets/flickr.php');
    Line 36: require_once('widgets/posts.php');
    Line 39: #require_once('plugins/gt3-pagebuilder/gt3_builder.php');
    Line 42: require_once('tgm/gt3-tgm.php');
    Line 44: require_once('updates-notifier.php');
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.

Ceci est un thème distribué surThemeForest. Etant donné que tous les thèmes de Themeforest sont validés par un humain avant d'être mis en ligne, les règles de vérification de Themeforest sont plus permissives que celles de themecheck et peuvent donner un meilleur score de vérification ( Themeforest requirements ).

34
Alertes critiques
  1. Title : Title Absence de référence à add_theme_support( "title-tag" ) dans le thème.Le thème doit avoir des tags <title>, idéalement dans le fichier header.php.Le thème doit comporter un appel à wp_title(), idéalement dans le fichier header.php.
  2. Fonctions obsolètes : wp_get_http wp_get_http trouvé dans le fichier importer.php . Obsolète depuis la version de la 4.4. Il est prérable d'utiliser WP_Http à la place.
    Line 880: $headers = wp_get_http( $url, $upload['file'] );
  3. Inclusion de plugin : Présence de fichier zip Les plugins ne sont pas autorisés dans les thèmes. Le fichier zip gt3-pagebuilder-custom.zip a été trouvé.
Attention
  1. tags du thème : Présence de tags inconnusTag inconnu trouvé dans l'entête du fichier style.css.
  2. Text domain : Utilisation incorrecte des fonctions de traduction.Une fonction de traduction utilisée sans text-domain. Fonction esc_attr__, avec les arguments "Submit" dans le fichier functions.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.' dans le fichier class-tgm-plugin-activation.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.' dans le fichier class-tgm-plugin-activation.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' dans le fichier class-tgm-plugin-activation.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.' dans le fichier class-tgm-plugin-activation.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.' dans le fichier class-tgm-plugin-activation.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' dans le fichier class-tgm-plugin-activation.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.' dans le fichier class-tgm-plugin-activation.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' dans le fichier class-tgm-plugin-activation.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Begin installing plugin', 'Begin installing plugins' dans le fichier class-tgm-plugin-activation.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Begin activating plugin', 'Begin activating plugins' dans le fichier class-tgm-plugin-activation.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.' dans le fichier gt3-tgm.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.' dans le fichier gt3-tgm.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' dans le fichier gt3-tgm.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.' dans le fichier gt3-tgm.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.' dans le fichier gt3-tgm.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' dans le fichier gt3-tgm.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.' dans le fichier gt3-tgm.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' dans le fichier gt3-tgm.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Begin installing plugin', 'Begin installing plugins' dans le fichier gt3-tgm.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Begin activating plugin', 'Begin activating plugins' dans le fichier gt3-tgm.php.Plusieurs text-domain sont utilisés dans le thème. Cela signifie que le thème n'est pas compatible avec les language packs de WordPress. Les domaines trouvés sont theme_localization, _s, tgmpa, wordpress-importer, gt3_builder, wizecore, soho.
  3. Barre d'admin cachée : Barre d'admin cachée dans CSSLes thèmes ne doivent pas cacher la barre d'admin. Détecté dans le fichier theme.css.
  4. Image à la une ("Featured image") : Utilisation de the_post_thumbnail() instead of custom fields for thumbnailsAucune référence à the_post_thumbnail n'a été trouvée dans le thème.
  5. Fichiers CSS : Présence de text domainLa déclaration Text Domain: manque dans le header du fichier style.css.
  6. Screenshot : Copie d'écranLa taille du screenshot est 880x660px. La taille recommandée est 1200x900, pour prendre en compte les affichages HiDPI. Bien qu'une résolution de 1200x900 soit recommandée, toutes les images au format 4:3 sont acceptables.Mauvaise extension de fichier screenshot ! Le fichier screenshot.png n'est pas un véritable fichier JPG. Le type détecté est : "image/png".
Info
  1. Fichiers optionnels : Présence du fichierde style pour les écritures de droite vers la gauche rtl.cssCe thème ne contient pas le fichier optionnel rtl.php.
  2. Fichiers optionnels : Présence du fichier-template fron-*page.phpCe thème ne contient pas le fichier optionnel front-page.php.
  3. Fichiers optionnels : Présence du fichier-template de page d'accueil home.phpCe thème ne contient pas le fichier optionnel home.php.
  4. Fichiers optionnels : Présence du fichier-template des tags tag.phpCe thème ne contient pas le fichier optionnel tag.php.
  5. Fichiers optionnels : Présence du fichier template de taxinomie taxonomy.phpCe thème ne contient pas le fichier optionnel taxonomy.php.
  6. Fichiers optionnels : Présence du fichier-template author.phpCe thème ne contient pas le fichier optionnel author.php.
  7. Fichiers optionnels : Présence de du fichier-template des dates et heures date.phpCe thème ne contient pas le fichier optionnel date.php.
  8. Fichiers optionnels : Présence du fichier-template des archives archive.phpCe thème ne contient pas le fichier optionnel archive.php.
  9. Utilisation d'includes : Utilisation de include ou de de requireLe thème semble utiliser include ou require : header.php
    Line 40: include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : class-tgm-plugin-activation.php
    Line 1064: require_once( ABSPATH . 'wp-admin/includes/class-wp-list-table.php' );
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : sidebars.php
    Line 34: include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : css-js.php
    Line 27: include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
    Line 40: include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : misc.php
    Line 81: include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : ajax-handlers.php
    Line 403: require_once(TEMPLATEPATH . '/core/xml-importer/importer.php');
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : loader.php
    Line 4: require_once('config.php');
    Line 5: require_once('update_parameters.php');
    Line 7: require_once('aq_resizer.php');
    Line 10: require_once('classes/admin-tabs-controls.php');
    Line 11: require_once('classes/admin-tabs-option-types.php');
    Line 12: require_once('classes/admin-tabs-list.php');
    Line 13: require_once('classes/css-js-generator.php');
    Line 14: require_once('classes/global-js-message.php');
    Line 15: require_once('classes/menu-walker.php');
    Line 16: require_once('classes/gt3_helper.php');
    Line 19: require_once('registrator/admin-pages.php');
    Line 20: require_once('registrator/css-js.php');
    Line 21: require_once('registrator/css-js-demo.php');
    Line 22: require_once('registrator/ajax-handlers.php');
    Line 23: require_once('registrator/sidebars.php');
    Line 24: require_once('registrator/fonts.php');
    Line 25: require_once('registrator/misc.php');
    Line 28: require_once('license_verification/license_verification.php');
    Line 31: require_once('admin/options.php');
    Line 32: require_once('admin/theme-settings-page.php');
    Line 35: require_once('widgets/flickr.php');
    Line 36: require_once('widgets/posts.php');
    Line 39: #require_once('plugins/gt3-pagebuilder/gt3_builder.php');
    Line 42: require_once('tgm/gt3-tgm.php');
    Line 44: require_once('updates-notifier.php');
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
Autre thèmes vérifiés